import { Component } from '@angular/core';

@Component({
  selector: 'app-tab2',
  templateUrl: 'tab2.page.html',
  styleUrls: ['tab2.page.scss']
  
})
export class Tab2Page {
  companies = [
    {
      name: '装修公司A',
      starRating: 4.7,
      reviewCount: 150,
      description: '装修公司A的简介',
      services: '全方位装修服务',
      advantages: '专业团队、高品质材料',
      cases: '装修公司A的案例'
    },
    {
      name: '装修公司B',
      starRating: 4.5,
      reviewCount: 120,
      description: '装修公司B的简介',
      services: '创意设计、个性定制',
      advantages: '专业设计师、创新理念',
      cases: '装修公司B的案例'
    },
    {
      name: '装修公司C',
      starRating: 4.5,
      reviewCount: 120,
      description: '装修公司C的简介',
      services: '创意设计、个性定制',
      advantages: '专业设计师、创新理念',
      cases: '装修公司B的案例'
    }
    // 添加更多装修公司信息
  ];
  selectedSegment: string = 'company';
  
  designCompanies = [
    {
      name: '设计机构X',
      starRating: 4.8,
      reviewCount: 200,
      description: '设计机构X的简介',
      services: '室内设计、景观设计',
      advantages: '创新设计、高品质服务',
      cases: [
        {
          image: 'case1.jpg',
          description: '案例描述1',
          style: '现代风格'
        },
        // 添加更多案例
      ],
      designers: [
        {
          avatar: 'designer1.jpg',
          name: '设计师A',
          style: '现代风格',
          serviceArea: '城市A',
          price: '1'
        },
        // 添加更多设计师
      ],
      designConcept: '设计理念描述',
      serviceProcess: '服务流程描述',
      userReviews: [
        {
          text: '用户评价1',
          image: 'review1.jpg',
          starRating: 5
        },
        // 添加更多用户评价
      ]
    },
    {
      name: '设计机构Y',
      starRating: 4.5,
      reviewCount: 150,
      description: '设计机构Y的简介',
      services: '建筑设计、室内设计',
      advantages: '专业团队、精细施工',
      cases: [
        {
          image: 'case2.jpg',
          description: '案例描述2',
          style: '现代简约风格'
        },
        // 添加更多案例
      ],
      designers: [
        {
          avatar: 'designer2.jpg',
          name: '设计师B',
          style: '简约风格',
          serviceArea: '城市B',
          price: '$$'
        },
        {
          avatar: 'designer2.jpg',
          name: '设计师B',
          style: '简约风格',
          serviceArea: '城市B',
          price: '$$'
        },
        // 添加更多设计师
      ],
      designConcept: '设计理念描述',
      serviceProcess: '服务流程描述',
      userReviews: [
        {
          text: '用户评价2',
          image: 'review2.jpg',
          starRating: 4
        },
        // 添加更多用户评价
      ]
    }
    // 添加更多设计机构信息
  ];
  selectedTab: string = 'designCompany';
  
  designers = [
    {
      username: '设计师A',
      avatar: 'assets/designer1.jpg',
      bio: '设计师A的简介',
      portfolioImage: 'assets/portfolio1.jpg',
      portfolioCount: 10,
      style: '现代风格',
      serviceArea: '北京',
      price: '100-200元/平米',
      rating: 4.8
    },
    {
      username: '设计师B',
      avatar: 'assets/designer2.jpg',
      bio: '设计师B的简介',
      portfolioImage: 'assets/portfolio2.jpg',
      portfolioCount: 8,
      style: '简约风格',
      serviceArea: '上海',
      price: '150-250元/平米',
      rating: 4.6
    }
    // 添加更多设计师信息
  ];
  selectedDesignerSegment: string = 'designer';

  constructor() {}

  segmentChanged(event: CustomEvent) {
    this.selectedSegment = event.detail.value;
  }
}
